# Shadow
shadow = true;
#no-dock-shadow = true;
shadow-radius = 5;
shadow-offset-x = -5;
shadow-offset-y = -5;
shadow-opacity = 0.80;

# Fade
fading = true;
fade-delta = 6.0;
fade-in-step = 0.04;
fade-out-step = 0.028;

# Backend
vsync = false;
backend = "xrender";
mark-wmwin-focused = true;
unredir-if-possible = true;
detect-rounded-corners = true;

opacity-rule = [
    "90:class_g = 'Mousepad'",
    "90:class_g = 'Thunar'",
    "90:class_g = 'KeePassXC'"
];

# Blur
# blur-background = true;
# blur-method = "kawase";
# blur-strength = 20;


#opacity-rule = [
#    "90:class_g = 'Mousepad' && focused",
#    "90:class_g = 'Mousepad' && !_NET_WM_STATE@:32a",
#    "90:class_g = 'Thunar' && focused",
#    "90:class_g = 'Thunar' && !_NET_WM_STATE@:32a",
#    "90:class_g = 'KeePassXC' && focused",
#    "90:class_g = 'KeePassXC' && !_NET_WM_STATE@:32a",
#    "0:_NET_WM_STATE@:32a * = '_NET_WM_STATE_HIDDEN'"
#];

shadow-exclude = [
    "name *?= 'Notification'",
    "class_g *?= 'jgmenu'",
    "class_g *?= 'VirtualBox'",
    "class_g *?= 'Conky'",
    "class_g *?= 'Notify-osd'",
    "class_g *?= 'cairo-dock'",
    "class_g *?= 'trayer'",
    "class_g *?= 'i3-frame'",
    "class_g *?= 'firefox'",
    "class_g *?= 'navigator'",
    "class_g *?= 'Cairo-clock'",
    "class_g *?= 'Cairo-dock'",
    "class_g *?= 'plank'",
    "class_g *?= 'Docky'",
    "_NET_WM_STATE@:32a *= '_NET_WM_STATE_HIDDEN'",
    "_GTK_FRAME_EXTENTS@:c"
];

focus-exclude = [
    "class_g *?= 'Cairo-clock'",
    "class_g *?= 'Virtualbox'",
    "class_g *?= 'trayer'",
    "_NET_WM_STATE@:32a *= '_NET_WM_STATE_HIDDEN'",
    "name *?= 'Authy'"
];

wintypes:
{
    tooltip = { fade = true; shadow = true; focus = true; };
    dock = { shadow = false; };
};
